Error to create Angular Project by Angular IDE

This topic contains 5 replies, has 3 voices, and was last updated by  support-swapna 1 week, 3 days ago.

Viewing 6 posts - 1 through 6 (of 6 total)
  • Author
    Posts
  • #550723

    alabidy
    Participant

    I am traying to create a new porject by Angular IDE (File-> New -> “EnterName”, AngularCLI Ver : 1.6.5, Node.js Ver : 8.9.1 / or 9.4.0, NPM Ver : Latest 5.6.0

    Before, I created projects without error, but today I have this message :

    You cannot use the new command inside an Angular CLI project.

    Help pleaze

    Attachments:
    You must be logged in to view attached files.
    #550726 Reply

    support-swapna
    Moderator

    Abidi,

    Sorry that you are seeing this issue. Thank you for the screenshot.

    You cannot use the new command inside an Angular CLI project.
    The above message suggests that you are trying to create an Angular CLI project inside another Angular CLI project location.

    1. Have you changed the Project Location to point to a custom location instead of using a default one in the New Angular Project wizard? Please share with us a screenshot of the New Angular Project wizard to help us get a visual of the location and the versions you are selecting to create the project.

    2. Can you please recheck the location where you are trying to create the project and if that location has angular cli related files like .angular-cli.json or package.json or node_modules folder?

    3. Please click ‘No’ on the error popup and send us the entire output from the Terminal+ view to help us investigate further.

    4. Can you please try creating another Angular project by accepting all defaults in the wizard and see if the project creates fine?

    Apologies for inconvenience caused.

    –Swapna
    MyEclipse Support

    #550730 Reply

    alabidy
    Participant

    Hi,
    Thank you for your support.

    You are pleased to find enclosed the screenshots

    This is the stack trace after clciked on ‘NO’

    Node.js version: v9.4.0
    NPM version: 5.6.0
    npm install @angular/cli@1.6.5

    > node-sass@4.7.2 install C:\D\WORKS_SES\2018-WORKS\workspaces\angular4-works\swarm-stores\node_modules\node-sass
    > node scripts/install.js

    Cached binary found at C:\Users\aabidi\AppData\Roaming\npm-cache\node-sass\4.7.2\win32-x64-59_binding.node

    > uglifyjs-webpack-plugin@0.4.6 postinstall C:\D\WORKS_SES\2018-WORKS\workspaces\angular4-works\swarm-stores\node_modules\webpack
    \node_modules\uglifyjs-webpack-plugin
    > node lib/post_install.js

    > node-sass@4.7.2 postinstall C:\D\WORKS_SES\2018-WORKS\workspaces\angular4-works\swarm-stores\node_modules\node-sass
    > node scripts/build.js

    Binary found at C:\D\WORKS_SES\2018-WORKS\workspaces\angular4-works\swarm-stores\node_modules\node-sass\vendor\win32-x64-59\bindi
    ng.node
    Testing binary
    Binary is fine
    npm WARN rollback Rolling back node-pre-gyp@0.6.39 failed (this is probably harmless): EPERM: operation not permitted, rmdir ‘C:\
    D\WORKS_SES\2018-WORKS\workspaces\angular4-works\swarm-stores\node_modules\fsevents\node_modules’
    npm WARN saveError ENOENT: no such file or directory, open ‘C:\D\WORKS_SES\2018-WORKS\workspaces\angular4-works\swarm-stores\pack
    age.json’
    npm notice created a lockfile as package-lock.json. You should commit this file.
    npm WARN enoent ENOENT: no such file or directory, open ‘C:\D\WORKS_SES\2018-WORKS\workspaces\angular4-works\swarm-stores\package
    .json’
    npm WARN swarm-stores No description
    npm WARN swarm-stores No repository field.
    npm WARN swarm-stores No README data
    npm WARN swarm-stores No license field.
    npm WARN optional SKIPPING OPTIONAL DEPENDENCY: fsevents@1.1.3 (node_modules\fsevents):
    npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for fsevents@1.1.3: wanted {“os”:”darwin”,”arch”:”any”} (curre
    nt: {“os”:”win32″,”arch”:”x64″})

    + @angular/cli@1.6.5
    added 1144 packages in 182.117s
    Node.js version: v9.4.0
    NPM version: 5.6.0
    node_modules/.bin/ng version && ng new swarm-stores –directory ./ –skip-git

    _ _ ____ _ ___
    / \ _ __ __ _ _ _| | __ _ _ __ / ___| | |_ _|
    / ? \ | ‘_ \ / _| | | | |/ _ | ‘__| | | | | | |
    / ___ \| | | | (_| | |_| | | (_| | | | |___| |___ | |
    /_/ \_\_| |_|\__, |\__,_|_|\__,_|_| \____|_____|___|
    |___/

    Angular CLI: 1.6.5
    Node: 9.4.0
    OS: win32 x64
    Angular: 5.2.0
    … animations, common, compiler, compiler-cli, core, forms
    … http, language-service, platform-browser
    … platform-browser-dynamic, router

    @angular/cli: 1.6.2
    @angular-devkit/build-optimizer: 0.0.36
    @angular-devkit/core: 0.0.22
    @angular-devkit/schematics: 0.0.42
    @ngtools/json-schema: 1.1.0
    @ngtools/webpack: 1.9.2
    @schematics/angular: 0.1.11
    @schematics/schematics: 0.0.11
    typescript: 2.4.2
    webpack: 3.10.0
    You cannot use the new command inside an Angular CLI project.

    Attachments:
    You must be logged in to view attached files.
    #550739 Reply

    Brian Fernandes
    Moderator

    alabidy,

    To elaborate on what Swapna asked, any ancestor of the folder in which you created the project may already have one or more of the following files – package.json, .angular-cli.json, or a node_modules folder. As a result, the Angular CLI which we use to create the project thinks you are already in an existing CLI project and fails.

    The path you are using is: C:\D\WORKS_SES\2018-WORKS\workspaces\angular4-works\swarm-stores – if any of the folders on that path contains those files, the creation will fail.

    To be extra cautious, you can try using a different path starting right from the C drive, else you could try to locate these files and either delete them (only if they are not supposed to be there) or create the project in a folder which not a descendant of that folder.

    See: https://github.com/angular/angular-cli/issues/2818 for more details and examples.

    Hope this helps.

    #550752 Reply

    alabidy
    Participant

    Hi,

    Thank you for your help

    My workspace is => C:\D\WORKS_SES\2018-WORKS\workspaces\angular4-works

    Exactly, I found package.json in => C:\D\WORKS_SES\2018-WORKS\workspaces

    Now:

    Installed packages for tooling via npm.
    Project ‘swarm-store-management’ successfully created.
    This new project was created in => C:\D\WORKS_SES\2018-WORKS\workspaces\angular4-works

    Best Regards,
    Aymen ABIDI

    #553089 Reply

    support-swapna
    Moderator

    Abidi,

    Glad that the project creation works. Thank you for getting back to us.
    Please let us know if you see any other issues.

    –Swapna
    MyEclipse Support

Viewing 6 posts - 1 through 6 (of 6 total)

You must be logged in to reply to this topic.